org.eclipse.actf.model.dom.odf.draw

## Interface ObjectElement

All Superinterfaces:
  DrawingObjectBaseElement, Element, EmbedDrawingObjectElement, Node, ODFElement

    public interface ObjectElement
    extends EmbedDrawingObjectElement

Interface for <draw:object> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAttrDrawNotifyOnUpdateOfRanges()` Return draw:notify-on-update-of-ranges attribute
`String` `getAttrXlinkActuate()` Return xlink:actuate attribute
`String` `getAttrXlinkHref()` Return xlink:href attribute
`String` `getAttrXlinkShow()` Return xlink:show attribute
`String` `getAttrXlinkType()` Return xlink:type attribute
`boolean` `isPresentationTable()` Return true if this object is embedded spreadsheet in presentation document
`void` `setAttrXlinkHref(String href)` Set xlink:href attribute

### Methods inherited from interface org.eclipse.actf.model.dom.odf.base.EmbedDrawingObjectElement

`getFrameElement, getTextSequenceElement`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.base.DrawingObjectBaseElement

`getLongDescElement, getLongDescElement, getShortDescElement, getShortDescElement, getSVGDescElement, getSVGTitleElement`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrDrawNotifyOnUpdateOfRanges

    String getAttrDrawNotifyOnUpdateOfRanges()

Return draw:notify-on-update-of-ranges attribute

Returns:
  String

#### setAttrXlinkHref

    void setAttrXlinkHref(String href)

Set xlink:href attribute

Parameters:
  `href` - xlink:href attribute

#### getAttrXlinkHref

    String getAttrXlinkHref()

Return xlink:href attribute

Returns:
  String

#### getAttrXlinkType

    String getAttrXlinkType()

Return xlink:type attribute

Returns:
  String

#### getAttrXlinkShow

    String getAttrXlinkShow()

Return xlink:show attribute

Returns:
  String

#### getAttrXlinkActuate

    String getAttrXlinkActuate()

Return xlink:actuate attribute

Returns:
  String

#### isPresentationTable

    boolean isPresentationTable()

Return true if this object is embedded spreadsheet in presentation document

Returns:
  boolean